# uproot.models.RNTuple.RNTupleField

Defined in uproot.models.RNTuple on line 1237.

class uproot.models.RNTuple.RNTupleField(index, ntuple)

## keys

RNTupleField.keys(*, filter_name=None, filter_typename=None, filter_field=None, recursive=False, full_paths=True, **_)

## name

RNTupleField.name

  Name of the `Field`.

## to_akform

RNTupleField.to_akform()

## arrays

RNTupleField.arrays(filter_name='*', filter_typename=None, entry_start=0, entry_stop=None, decompression_executor=None, array_cache=None)

## array

RNTupleField.array(**kwargs)

## iterate

RNTupleField.iterate(filter_name='*', *args, step_size='100 MB', **kwargs)